com.sun.jna.platform.win32.COM

## Class Wbemcli.IEnumWbemClassObject

- java.lang.Object
- - com.sun.jna.PointerType
  - - com.sun.jna.platform.win32.COM.COMInvoker
    - - com.sun.jna.platform.win32.COM.Unknown
      - - com.sun.jna.platform.win32.COM.Wbemcli.IEnumWbemClassObject

All Implemented Interfaces:
  NativeMapped, IUnknown

Enclosing interface:
  Wbemcli

    public static class Wbemcli.IEnumWbemClassObject
    extends Unknown

Used to enumerate Common Information Model (CIM) objects.

### Nested Class Summary

### Nested classes/interfaces inherited from class com.sun.jna.platform.win32.COM.Unknown

`Unknown.ByReference`

### Field Summary

### Fields inherited from interface com.sun.jna.platform.win32.COM.IUnknown

`IID_IUNKNOWN`

### Constructor Summary

Constructors
Constructor and Description
`IEnumWbemClassObject()`
`IEnumWbemClassObject(Pointer pvInstance)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Wbemcli.IWbemClassObject[]` `Next(int lTimeOut, int uCount)`
`WinNT.HRESULT` `Next(int lTimeOut, int uCount, Pointer[] ppObjects, IntByReference puReturned)`

### Methods inherited from class com.sun.jna.platform.win32.COM.Unknown

`AddRef, QueryInterface, Release`

### Methods inherited from class com.sun.jna.platform.win32.COM.COMInvoker

`_invokeNativeInt, _invokeNativeObject, _invokeNativeVoid`

### Methods inherited from class com.sun.jna.PointerType

`equals, fromNative, getPointer, hashCode, nativeType, setPointer, toNative, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IEnumWbemClassObject

    public IEnumWbemClassObject()

#### IEnumWbemClassObject

    public IEnumWbemClassObject(Pointer pvInstance)

### Method Detail

#### Next

    public WinNT.HRESULT Next(int lTimeOut,
                              int uCount,
                              Pointer[] ppObjects,
                              IntByReference puReturned)

#### Next

    public Wbemcli.IWbemClassObject[] Next(int lTimeOut,
                                           int uCount)

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.